### Function

# FwupdPlugin uswid_payload_compression_from_string

#### Declaration [src]

    FuUswidPayloadCompression
    fu_uswid_payload_compression_from_string (
      const gchar* val
    )

#### Description

No description available.

#### Parameters

`val`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FuUswidPayloadCompression`

No description available.